%global codename laughin

Name: fuduntu-logos
Summary: Fuduntu-related icons and pictures
Version: 2013
Release: 2
Group: System Environment/Base
URL: http://www.fuduntu.org
Source0: sources/fuduntu-logos-%{version}.tar.bz2
License: Creative Commons

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Obsoletes: redhat-logos
Obsoletes: fedora-logos
Provides: redhat-logos = %{version}-%{release}
Provides: system-logos = %{version}-%{release}
Provides: fedora-gnome-theme = %{version}-%{release}
Requires: fuduntu-faenza
Requires: fuduntu-backgrounds
Requires: plymouth-system-theme
Requires: plymouth-plugin-script
Requires: grub2
Conflicts: kdebase <= 3.1.5
Conflicts: anaconda-images <= 10
Conflicts: redhat-artwork <= 5.0.5
# For splashtolss.sh
BuildRequires: syslinux-perl, netpbm-progs
Requires(post): coreutils
BuildRequires: hardlink
# For _kde4_* macros:
#BuildRequires: kde-filesystem

%description
Logos package for the Fuduntu distribution.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

# should be ifarch i386
mkdir -p $RPM_BUILD_ROOT/boot/grub2/themes/fuduntu/icons

install -p -m 644 -D bootloader/splash.xpm.gz $RPM_BUILD_ROOT/boot/grub2/splash.xpm.gz

mkdir -p $RPM_BUILD_ROOT%{_datadir}/firstboot/themes/fuduntu-%{codename}/
for i in firstboot/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/firstboot/themes/fuduntu-%{codename}/
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
for i in gnome-splash/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver
for i in gnome-screensaver/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/fuduntu-logo
for i in plymouth/fuduntu-logo/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/fuduntu-logo
done

for size in 16x16 22x22 24x24 32x32 36x36 48x48 96x96 256x256 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/$size/apps
  for i in icons/hicolor/$size/apps/* ; do
    install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
    pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/$size/apps
    ln -s ../../../hicolor/$size/apps/fedora-logo-icon.png icon-panel-menu.png
    ln -s ../../../hicolor/$size/apps/fedora-logo-icon.png gnome-main-menu.png
    ln -s ../../../hicolor/$size/apps/fedora-logo-icon.png kmenu.png
    ln -s ../../../hicolor/$size/apps/fedora-logo-icon.png start-here.png
    popd
  done
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/fuduntu/48x48/apps
install -p -m 644 icons/fuduntu/48x48/apps/* $RPM_BUILD_ROOT%{_datadir}/icons/fuduntu/48x48/apps/

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/fuduntu/scalable/apps
#install -p -m 644 icons/fuduntu/scalable/apps/* $RPM_BUILD_ROOT%{_datadir}/icons/fuduntu/scalable/apps/

mkdir -p $RPM_BUILD_ROOT%{_kde4_iconsdir}/oxygen/48x48/apps/
install -p -m 644 icons/fuduntu/48x48/apps/* $RPM_BUILD_ROOT%{_kde4_iconsdir}/oxygen/48x48/apps/
mkdir -p $RPM_BUILD_ROOT%{_kde4_iconsdir}/oxygen/scalable/apps/
#install -p -m 644 icons/fuduntu/scalable/apps/*  $RPM_BUILD_ROOT%{_kde4_iconsdir}/oxygen/scalable/apps/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
pushd $RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_datadir}/icons/hicolor/16x16/apps/fedora-logo-icon.png favicon.png
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
#install -p -m 644 icons/hicolor/scalable/apps/xfce4_xicon1.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
#install -p -m 644 icons/hicolor/scalable/apps/fuduntu-logo-icon.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/start-here.svg

(cd anaconda; make DESTDIR=$RPM_BUILD_ROOT install)

for i in 16 22 24 32 36 48 96 256 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/fuduntu/${i}x${i}/places
  install -p -m 644 -D $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps/fedora-logo-icon.png $RPM_BUILD_ROOT%{_datadir}/icons/fuduntu/${i}x${i}/places/start-here.png
  #install -p -m 644 -D $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps/fedora-logo-icon.png $RPM_BUILD_ROOT%{_kde4_iconsdir}/oxygen/${i}x${i}/places/start-here-kde-fedora.png 
done

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/fuduntu/scalable/places/
#pushd $RPM_BUILD_ROOT%{_datadir}/icons/fuduntu/scalable/places/
#ln -s ../../../hicolor/scalable/apps/start-here.svg .
#popd

#mkdir -p $RPM_BUILD_ROOT%{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536/
#install -p -m 644 kde-splash/Leonidas-fuduntu.png $RPM_BUILD_ROOT%{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536/logo.png

# save some dup'd icons
/usr/sbin/hardlink -v %{buildroot}/


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/Bluecurve || :
touch --no-create %{_datadir}/icons/fuduntu || :
touch --no-create %{_kde4_iconsdir}/oxygen ||:
if [ ! -e "%{_datadir}/icons/Fedora" ]; then
  ln -s "%{_datadir}/icons/fuduntu" "%{_datadir}/icons/Fedora"
fi

#if [ -e "/boot/initramfs-`uname -r`.img" ]; then
#  echo "Please wait, building initramfs.."
#  /sbin/dracut --force >/dev/null 2>&1
#fi

plymouth-set-default-theme -R fuduntu-logo >/dev/null 2>&1 ||:

echo "Configuring GRUB2"
sed -i '/GRUB_THEME/d' /etc/sysconfig/grub
sed -i '/^loadfont/d' /boot/grub2/grub.cfg
#sed -i '/GRUB_THEME=\"\/boot\/grub2\/themes\/fuduntu\/theme.txt"/d' /etc/sysconfig/grub
#grep GRUB_THEME /etc/sysconfig/grub >/dev/null || echo 'GRUB_THEME="/boot/grub2/themes/fuduntu/theme.txt"' >>/etc/sysconfig/grub
/usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg 2>&1 >/dev/null ||:


%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/Bluecurve || :
touch --no-create %{_datadir}/icons/fuduntu || :
touch --no-create %{_kde4_iconsdir}/oxygen ||:
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  if [ -f %{_datadir}/icons/hicolor/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
  fi
  if [ -f %{_datadir}/icons/Bluecurve/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/Bluecurve || :
  fi
  if [ -f %{_datadir}/icons/fuduntu/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/fuduntu || :
  fi
  if [ -f %{_kde4_iconsdir}/oxygen/index.theme ]; then
    gtk-update-icon-cache --quiet %{_kde4_iconsdir}/oxygen || :
  fi
fi
fi

%posttrans
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  if [ -f %{_datadir}/icons/hicolor/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
  fi
  if [ -f %{_datadir}/icons/Bluecurve/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/Bluecurve || :
  fi
  if [ -f %{_datadir}/icons/fuduntu/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/fuduntu || :
  fi
  if [ -f %{_kde4_iconsdir}/oxygen/index.theme ]; then
    gtk-update-icon-cache --quiet %{_kde4_iconsdir}/oxygen || :
  fi
fi

%files
%defattr(-, root, root, -)
%config(noreplace) %{_sysconfdir}/favicon.png
%{_datadir}/firstboot/themes/fuduntu-%{codename}/
%{_datadir}/plymouth/themes/fuduntu-logo/

%{_datadir}/pixmaps/*
%{_datadir}/anaconda/pixmaps/*
%{_datadir}/anaconda/boot/splash.lss
%{_datadir}/anaconda/boot/syslinux-splash.png
%{_datadir}/anaconda/boot/syslinux-vesa-splash.jpg
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/Bluecurve/*/apps/*
%{_datadir}/icons/fuduntu/*/apps/
%{_datadir}/icons/fuduntu/*/places/*
%{_datadir}/gnome-screensaver/*
%{_datadir}/icons/oxygen/48x48/apps/*

# we multi-own these directories, so as not to require the packages that
# provide them, thereby dragging in excess dependencies.
%dir %{_datadir}/icons/Bluecurve
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/anaconda
%dir %{_datadir}/anaconda/boot/
%dir %{_datadir}/anaconda/pixmaps/

/boot/grub2/splash.xpm.gz

%changelog
* Sat Feb 02 2013 Andrew Wyatt <andrew@fuduntu.org> - 2013.2
- Update default theme elements to blend with Fuduntu
- New plymouth theme

* Wed Dec 19 2012 Andrew Wyatt <andrew@fuduntu.org> - 2013.1
- Fix transition from plymouth to gdm

* Mon Nov 05 2012 Andrew Wyatt <andrew@fuduntu.org> - 2012.10
- Clean up grub config

* Mon Sep 10 2012 Andrew Wyatt <andrew@fuduntu.org> - 2012.9
- Fuduntu GRUB theme should not have been released.

* Thu Sep 06 2012 Andrew Wyatt <andrew@fuduntu.org> - 2012.5
- Remove fuduntu icon theme, no longer needed

* Tue Jun 19 2012 Andrew Wyatt <andrew@fuduntu.org> - 2012.3
- Update for GRUB2

* Fri Sep 20 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.0.9
- Remove charge from logos package - moved to plymouth

* Sun Mar 15 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.0.8-2
- Further refine Plymouth theme
- Refined Fuduntu icons
- Improved boot splash

* Sat Mar 14 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.0.7-1
- New Plymouth theme

* Tue Mar 01 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.0.6-2
- Remove grass wallpaper as default
- Add fuduntu-backgrounds dependency

* Tue Jan 04 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.0.5-503
- Cleanup dependencies / obsoletes

* Thu Dec 24 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.0.5-502
- Work on plymouth boot screen

* Sat Dec 18 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.0.4-501
- Additional logo cleanup

* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.0.3-501
- Cleaned up logos

* Sat Nov 07 2010 Andrew "FEWT" Wyatt <andrew.wyatt@fewt.com> - 1.0.1-500
- Initial release
